import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import MinimalistView from '../assets/templates/ui-standard/MinimalistView.vue'
import DarkModeView from '../assets/templates/ui-standard/DarkModeView.vue'
import RetroView from '../assets/templates/ui-standard/RetroView.vue'
import ThreeDDesignView from '../assets/templates/ui-standard/ThreeDDesignView.vue'
import SkeuomorphicView from '../assets/templates/ui-standard/SkeuomorphicView.vue'
import MaterialView from '../assets/templates/ui-standard/MaterialView.vue'
import IOSDesignView from '../assets/templates/ui-standard/IOSDesignView.vue'
import FluentDesignView from '../assets/templates/ui-standard/FluentDesignView.vue'
import NeumorphismView from '../assets/templates/ui-standard/NeumorphismView.vue'
import GlassmorphismView from '../assets/templates/ui-standard/GlassmorphismView.vue'
import BrutalismView from '../assets/templates/ui-standard/BrutalismView.vue'
import CyberpunkView from '../assets/templates/ui-standard/CyberpunkView.vue'
import OrganicDesignView from '../assets/templates/ui-standard/OrganicDesignView.vue'
import PixelArtView from '../assets/templates/ui-standard/PixelArtView.vue'
import MorphismView from '../assets/templates/ui-standard/MorphismView.vue'
import AuroraView from '../assets/templates/ui-standard/AuroraView.vue'
import NeonView from '../assets/templates/ui-standard/NeonView.vue'
import SteampunkView from '../assets/templates/ui-standard/SteampunkView.vue'
import HolographicView from '../assets/templates/ui-standard/HolographicView.vue'
import GradientView from '../assets/templates/ui-standard/GradientView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView
    },
    {
      path: '/minimalist',
      name: 'minimalist',
      component: MinimalistView
    },
    {
      path: '/dark-mode',
      name: 'dark-mode',
      component: DarkModeView
    },
    {
      path: '/retro',
      name: 'retro',
      component: RetroView
    },
    {
      path: '/3d-design',
      name: '3d-design',
      component: ThreeDDesignView
    },
    {
      path: '/skeuomorphic',
      name: 'skeuomorphic',
      component: SkeuomorphicView
    },
    {
      path: '/material',
      name: 'material',
      component: MaterialView
    },
    {
      path: '/ios',
      name: 'ios',
      component: IOSDesignView
    },
    {
      path: '/fluent',
      name: 'fluent',
      component: FluentDesignView
    },
    {
      path: '/neumorphism',
      name: 'neumorphism',
      component: NeumorphismView
    },
    {
      path: '/glassmorphism',
      name: 'glassmorphism',
      component: GlassmorphismView
    },
    {
      path: '/brutalism',
      name: 'brutalism',
      component: BrutalismView
    },
    {
      path: '/cyberpunk',
      name: 'cyberpunk',
      component: CyberpunkView
    },
    {
      path: '/organic',
      name: 'organic',
      component: OrganicDesignView
    },
    {
      path: '/pixel-art',
      name: 'pixel-art',
      component: PixelArtView
    },
    {
      path: '/morphism',
      name: 'morphism',
      component: MorphismView
    },
    {
      path: '/aurora',
      name: 'aurora',
      component: AuroraView
    },
    {
      path: '/neon',
      name: 'neon',
      component: NeonView
    },
    {
      path: '/steampunk',
      name: 'steampunk',
      component: SteampunkView
    },
    {
      path: '/holographic',
      name: 'holographic',
      component: HolographicView
    },
    {
      path: '/gradient',
      name: 'gradient',
      component: GradientView
    }
  ]
})

export default router
